Qt Reference Documentation

# QDeclarativeParserStatus Class Reference

The QDeclarativeParserStatus class provides updates on the QML parser state. More...

     #include <QDeclarativeParserStatus>

Inherited by: QDeclarativeItem.

This class was introduced in Qt 4.7.

- List of all members, including inherited members

## Public Functions

virtual void | classBegin () = 0
virtual void | componentComplete () = 0

## Detailed Description

The QDeclarativeParserStatus class provides updates on the QML parser state.

QDeclarativeParserStatus provides a mechanism for classes instantiated by a QDeclarativeEngine to receive notification at key points in their creation.

This class is often used for optimization purposes, as it allows you to defer an expensive operation until after all the properties have been set on an object. For example, QML's Text element uses the parser status to defer text layout until all of its properties have been set (we don't want to layout when the `text` is assigned, and then relayout when the `font` is assigned, and relayout again when the `width` is assigned, and so on).

To use QDeclarativeParserStatus, you must inherit both a QObject-derived class and QDeclarativeParserStatus, and use the Q_INTERFACES() macro.

     class MyObject : public QObject, public QDeclarativeParserStatus
     {
         Q_OBJECT
         Q_INTERFACES(QDeclarativeParserStatus)

     public:
         MyObject(QObject *parent = 0);
         ...
         void classBegin();
         void componentComplete();
     }

## Member Function Documentation

### void QDeclarativeParserStatus::classBegin ()`[pure virtual]`

Invoked after class creation, but before any properties have been set.

### void QDeclarativeParserStatus::componentComplete ()`[pure virtual]`

Invoked after the root component that caused this instantiation has completed construction. At this point all static values and binding values have been assigned to the class.